
Figure - Bug #117921
【IOVDEV-27091】【VC1】【0095】【实车】【EE环境】【副屏】【视频播放器】视频播放时滑动进度条，
视频画面会卡住但是声音可以正常播放
2023-05-13 21:19 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-13

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103

Resolution: DUPLICATE Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

前提条件】：副屏上电

【操作步骤】

1.视频播放器选择本地下载视频播放

2.滑动进度条

【实际结果】

1.视频画面卡住但是声音正常播放

【期望结果】

1.视频播放流畅无卡顿

【备注】：

【应用版本】：

【VIN号】：LJD8BC3F6P0000365

【中控版本号】：03.02.0078.x101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-16 20:22 - CD MM陈海波

@卿山, 

此问题并未复现. 同时提供的log都是一些正常的log.

需要放开额外的log信息. 

如下:

解码前后数据:

adb shell setenforce 0

adb shell setprop vendor.qc2.log.buffers 0x03

  -> 复现后: 见复现后的视频pull出来, 查看是否存在问题. 路径:/data/vendor/media/qc2/
frameworks/av/media/libstagefright/ACodec.cpp

frameworks/av/media/libmediaplayerservice/nuplayer/NuPlayer.cpp

frameworks/av/media/libmediaplayerservice/nuplayer/NuPlayerRenderer.cpp

#define LOG_NDDEBUG 0

#define LOG_NIDEBUG 0

#define LOG_NDEBUG 0

问题复现后, 记录下具体设备复现的时间点(执行adb shell date即可看到).

#2 - 2023-05-16 22:25 - CDTS-TEST 周婷

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD MM陈海波

请确认是否需要添加扩展日志

#3 - 2023-05-16 22:25 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#4 - 2023-05-17 09:42 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to NEED_INFO

- Assignee changed from CD MM陈海波 to CDTS_TEST 王成

HI 王成

由于当前提供的log都是一些正常的log.

并且我们没复现到这个问题，

请帮忙使用以下的VB进行复现，并提供下面需要的信息，谢谢！

Figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230517/202305170419-739

复现前操作：

解码前后数据:

adb shell setenforce 0

adb shell setprop vendor.qc2.log.buffers 0x03

-> 复现后: 见复现后的视频pull出来, 查看是否存在问题. 路径:/data/vendor/media/qc2/

问题复现后, 记录下具体设备复现的时间点(执行adb shell date即可看到).

#5 - 2023-05-23 13:59 - CDTS_TEST 王成

客户回复如下，但BUG未关闭，指派也在提交人名下，等待客户确认BUG状态

测试次数：15

中控版本：03.02.0080.x101

副屏版本：01.00.0095.c103

测试结果：pass
测试现象：视频拖拽进度条可以正常播放

#6 - 2023-06-03 16:25 - CD TEST-方永红

6.3

客户复现此问题，怀疑他们视频有问题，换个视频复现中

#7 - 2023-06-12 09:45 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to DUPLICATE

在jira上跟踪， 内部关闭此票。

#8 - 2023-06-12 15:52 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306100050版本验证通过

#9 - 2023-06-25 17:51 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

图库，视频，音乐在0110版本隐藏入口

Files

测试视频.mp4 26.1 MB 2023-05-13 CDTS_TEST 王成

副屏-播放卡顿.mp4 6.77 MB 2023-05-13 CDTS_TEST 王成

tlog_iov0201017500006162025411a2212290000001341_000160_0511132932.tar.gz7.23 MB 2023-05-13 CDTS_TEST 王成
